com.sun.grid.jgdi.event

## Class JobFinishEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.JobEvent
    - - com.sun.grid.jgdi.event.JobFinishEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class JobFinishEvent
      extends JobEvent
      implements java.io.Serializable

  Java Wrapper task for the JOB_FINISH event.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobFinishEvent(long timestamp, int evtId)` Creates a new instance of JobFinishEvent

  - ### Method Summary

    - ### Methods inherited from class com.sun.grid.jgdi.event.JobEvent

      `getJobId, getPeTaskId, getTaskId, setJobId, setPeTaskId, setTaskId, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobFinishEvent

          public JobFinishEvent(long timestamp,
                                int evtId)

      Creates a new instance of JobFinishEvent

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.